> For the complete documentation index, see [llms.txt](https://developer.redflagalert.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.redflagalert.net/company-resources/mortgages.md).

# Mortgages

### Example URL:

```
https://api2.redflagalert.net/v4/companies/01777777/mortgages/
```

### JSON Structure:

```javascript
{
	"meta": {
		"outstanding": 681
	},
	"data": [{
		"attributes": {
			"form_no": "MR01",
			"type": null,
			"satisfied": "No",
			"details": "CONTAINS FIXED CHARGE.CONTAINS NEGATIVE PLEDGE.",
			"date_created": "2016-07-04",
			"satisfied_date": null,
			"holder": "FLIP NO. 125 CO., LTD. FLIP NO. 124 CO., LTD. FLIP NO. 123 CO., LTD"
		},
		"type": "mortgage",
		"id": "645323-1833032314-815"
	}]
}
```

### Attributes

| Field Key        | Description                                                     | Notes |
| ---------------- | --------------------------------------------------------------- | ----- |
| `form_no`        | The document number                                             |       |
| `type`           | The type of mortgage or charge, such as fixed, or floating etc. |       |
| `satisfied`      | An indication that the charge is no longer current              |       |
| `details`        | Further particulars of the charge                               |       |
| `date_created`   | The date the mortgage or charge was registered                  |       |
| `satisfied_date` | The date of satisfaction of the charge                          |       |
| `holder`         | The name of the lender holding the charge                       |       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.redflagalert.net/company-resources/mortgages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
